#!/bin/sh
MYSQL_SRC=/home/kinoshita/mysql-5.1.22-rc-configured

rm innodb_lock_wait.o innodb_lock_wait_wrapper.o innodb_lock_wait.so

g++ -g -O2 -Wall -DDBUG_OFF -DMYSQL_SERVER -DMYSQL_DYNAMIC_PLUGIN `mysql_config --include` -I$MYSQL_SRC/include -I$MYSQL_SRC/sql -I$MYSQL_SRC/regex -I$MYSQL_SRC/storage/innobase/include -c -fno-rtti innodb_lock_wait.cc

gcc -g -O2 -Wall -DDBUG_OFF -DMYSQL_SERVER -DMYSQL_DYNAMIC_PLUGIN `mysql_config --include` -I$MYSQL_SRC/include -I$MYSQL_SRC/sql -I$MYSQL_SRC/regex -I$MYSQL_SRC/storage/innobase/include -c innodb_lock_wait_wrapper.c

#dynamic
g++ -Wall -shared -o innodb_lock_wait.so innodb_lock_wait.o innodb_lock_wait_wrapper.o

